//#line "menu_lib.c" 37
extern void DrawBorder(int32 y);
//#line "menu_lib.c" 51
extern void DrawHelpString(char *helpstring);
//#line "menu_lib.c" 76
extern int32 GetTranslateFunctionWidth(void *func);
//#line "menu_lib.c" 103
extern void GetEntryDimensions(void *ptr,int32 *width,int32 *height);
//#line "menu_lib.c" 212
extern void GetSectionDimensions(MenuSectionType *section,int32 *width,int32 *height);
//#line "menu_lib.c" 254
extern void GetMenuDimensions(MenuType *menu,int32 *width,int32 *height);
//#line "menu_lib.c" 304
extern int32 GetWidestEntryWidthInSection(MenuSectionType *section);
//#line "menu_lib.c" 334
extern int32 GetWidestEntryWidth(MenuType *menu);
//#line "menu_lib.c" 361
extern int32 DrawMenuEntry(int16 handle,int32 xoffset,int32 yoffset,void *ptr,boolean current);
//#line "menu_lib.c" 700
extern int32 DrawMenuSection(int16 handle,int32 xoffset,int32 yoffset,MenuSectionType *section,boolean current);
//#line "menu_lib.c" 744
extern void DrawMenu(MenuType *menu);
//#line "menu_lib.c" 842
extern void SetWindowTextColors(void );
//#line "menu_lib.c" 855
extern void GetWindowColors(int32 *foreground,int32 *background);
//#line "menu_lib.c" 875
extern void DisplayMenu(MenuType *menu);
//#line "menu_lib.c" 900
extern void UnDisplayMenu(MenuType *menu);
//#line "menu_lib.c" 913
extern void ChooseEntry(MenuType *menu);
//#line "menu_lib.c" 1052
extern void DeleteEntry(MenuType *menu);
//#line "menu_lib.c" 1078
extern void EditEntry(MenuType *menu);
//#line "menu_lib.c" 1133
extern void GetCurrentSectionEntry(MenuSectionType *section);
//#line "menu_lib.c" 1164
extern boolean SectionActive(MenuSectionType *section);
//#line "menu_lib.c" 1186
extern void GetCurrentMenuSection(MenuType *menu);
//#line "menu_lib.c" 1216
extern boolean TryPreviousEntry(MenuSectionType *section);
//#line "menu_lib.c" 1247
extern boolean TryPreviousSection(MenuType *menu);
//#line "menu_lib.c" 1276
extern void SetCurrentEntryToLast(MenuSectionType *section);
//#line "menu_lib.c" 1293
extern void PreviousEntry(MenuType *menu);
//#line "menu_lib.c" 1330
extern boolean TryNextEntry(MenuSectionType *section);
//#line "menu_lib.c" 1359
extern boolean TryNextSection(MenuType *menu);
//#line "menu_lib.c" 1388
extern void SetCurrentEntryToFirst(MenuSectionType *section);
//#line "menu_lib.c" 1405
extern void NextEntry(MenuType *menu);
//#line "menu_lib.c" 1442
extern boolean HandleMenu(MenuType *menu);
//#line "menu_lib.c" 1517
extern void ErrorWindow(char *errormsg);
//#line "menu_lib.c" 1590
extern int32 MessageWindow(char *message);
